<div class="wrap">
    <h1>Ταχυδρομικοί Κώδικες Ελλάδας</h1>

    <div style="margin-bottom: 10px;">
        <label for="postcode-filter">Ψάξε Τ.Κ.:</label>
        <input type="text" id="postcode-filter" placeholder="Ταχυδρομικός Κώδικας">

        <label for="city-filter">Ψάξε Πόλη:</label>
        <input type="text" id="city-filter" placeholder="Πόλη/Περιοχή">

        <label for="region-filter">Ψάξε Νομό:</label>
        <input type="text" id="region-filter" placeholder="Νομός">

        <label for="latitude-filter">Ψάξε Latitude:</label>
        <input type="text" id="latitude-filter" placeholder="Latitude">

        <label for="longitude-filter">Ψάξε Longitude:</label>
        <input type="text" id="longitude-filter" placeholder="Longitude">
    </div>

    <?php
    // Read data from the CSV file
    $csv_file = plugin_dir_path(__FILE__) . 'greece_postcodes.csv';
    $postcodes_data = array_map('str_getcsv', file($csv_file));

    // Display data in a table
    echo '<table class="widefat">
              <thead>
                  <tr>
                      <th>Τ.Κ.</th>
                      <th>Πόλη</th>
                      <th>Νομός</th>
                      <th>Latitude</th>
                      <th>Longitude</th>
                  </tr>
              </thead>
              <tbody>';

    foreach ($postcodes_data as $data) {
        echo '<tr>
                  <td class="postcode">' . esc_html($data[0]) . '</td>
                  <td class="city">' . esc_html($data[1]) . '</td>
                  <td class="region">' . esc_html($data[2]) . '</td>
                  <td class="latitude">' . esc_html($data[3]) . '</td>
                  <td class="longitude">' . esc_html($data[4]) . '</td>
              </tr>';
    }

    echo '</tbody></table>';
    ?>

    <script>
        // jQuery script for filtering
        jQuery(document).ready(function ($) {
            // Function to perform filtering
            function filterTable() {
                var postcodeFilter = $('#postcode-filter').val().toUpperCase();
                var cityFilter = $('#city-filter').val().toUpperCase();
                var regionFilter = $('#region-filter').val().toUpperCase();
                var latitudeFilter = $('#latitude-filter').val().toUpperCase();
                var longitudeFilter = $('#longitude-filter').val().toUpperCase();

                $('table tbody tr').each(function () {
                    var postcode = $(this).find('.postcode').text().toUpperCase();
                    var city = $(this).find('.city').text().toUpperCase();
                    var region = $(this).find('.region').text().toUpperCase();
                    var latitude = $(this).find('.latitude').text().toUpperCase();
                    var longitude = $(this).find('.longitude').text().toUpperCase();

                    if (
                        postcode.includes(postcodeFilter) &&
                        city.includes(cityFilter) &&
                        region.includes(regionFilter) &&
                        latitude.includes(latitudeFilter) &&
                        longitude.includes(longitudeFilter)
                    ) {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
            }

            // Event handlers for input changes
            $('#postcode-filter').on('input', filterTable);
            $('#city-filter').on('input', filterTable);
            $('#region-filter').on('input', filterTable);
            $('#latitude-filter').on('input', filterTable);
            $('#longitude-filter').on('input', filterTable);
        });
    </script>
</div>
